Bug 169438 - Swap Partition docs incorrectly state 2GB limit
Swap Partition docs incorrectly state 2GB limit
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhl-ig-as-x86 (Show other bugs)
4.0
i386 Linux
urgent Severity medium
: ---
: ---
Assigned To: Michael Hideo
John Ha
http://www.redhat.com/docs/manuals/en...
RHEL4U3NAK
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-28 08:04 EDT by Brian Long
Modified: 2014-08-04 18:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: WEB
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 03:12:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Long 2005-09-28 08:04:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
The RHEL 4 (and 3) install guide incorrectly states that a swap partition can only be 2GB in size.  This is incorrect as noted by Arjan in this note:
https://www.redhat.com/archives/nahant-list/2005-September/msg00153.html

RHEL 4 (and 3) support very large swap partitions and this documentation should be updated as soon as possible.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Read docs
2. Look at swap partition info

  

Actual Results:  "If you are unsure about what size swap partition to create, make it twice the amount of RAM on your machine (but no larger than 2 GB). It must be of type swap."
-and-
"Tip
If your partitioning scheme requires a swap partition that is larger than 2 GB, you should create an additional swap partition. For example, if you need 4 GB of swap, you should create two 2 GB swap partitions. If you have 4 GB of RAM, you should create three 2 GB swap partitions. Red Hat Enterprise Linux supports up to 32 swap files."

Expected Results:  Swap partitions have no theoretical limit in size (please verify the exact details with a kernel engineer).

Additional info:
Comment 5 RHEL Product and Program Management 2006-08-16 15:11:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this enhancement by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This enhancement is not yet committed for inclusion in an Update
release.
Comment 6 Brian Long 2006-08-17 09:22:13 EDT
This is a clear documentation issue that should be fixed.  It's like me finding
a bug in the Knowledge Base at http://kbase.redhat.com.  It should be fixed and
shouldn't take months to resolve!
Comment 8 Joshua Wulf 2006-11-29 00:32:36 EST
This has been fixed in RHEL 5 Installation Guide, and has also been fixed in the
RHEL 4 documentation. Waiting on a rebuild of the RHEL 4 documentation before
pushing to redhat.com.
Comment 9 Daniel Riek 2007-01-09 19:08:38 EST
Proposing for FasTrack

Comment 14 Michael Hideo 2007-06-06 00:43:06 EDT
Adding 'cc ecs-dev-list@redhat.com for tracking
Comment 15 Michael Hideo 2007-08-02 20:48:54 EDT
Posted to RH.com, awaiting resync.
Comment 16 Michael Hideo 2007-08-06 03:12:04 EDT
This is fixed.

http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/en-US/rhel-ig-x8664-multi-en-4/s1-diskpartitioning.html

Awaiting traffic ticket #423806 to remove the old html page.

Note You need to log in before you can comment on or make changes to this bug.